### Property

# Gtk PrintOperation:export-filename

#### Declaration

    property export-filename: utf8 [ read, write ]

#### Description [src]

The name of a file to generate instead of showing the print dialog.

Currently, PDF is the only supported format.

The intended use of this property is for implementing “Export to PDF” actions.

“Print to PDF” support is independent of this and is done by letting the user pick the “Print to PDF” item from the list of printers in the print dialog.

Type: | `gchar*`

Default value | NULL
Setter method | `gtk_print_operation_set_export_filename()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no